#include "request.h"

void add_name( FILE *output )
{
  char c, file[255];
  int counter = 0;
  int point = FALSE;

  while( ((c = mvinch( curr_pos, counter )) != 32) && (c != 20))
    {
      if ( c == '.' )
	point = TRUE;
      file[counter++] = toupper(c);
    }
  file[counter++] = 10;
  file[counter] = '\0';
  if ( point )
    {
      if ( (line->marked) != 1 )
	{
	  (line->marked) = 1;
	  beep( );
	  fputs( file, output );
	}
    }

}
